/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExportXMLServlet.java 5224 2009-09-10 09:12:43Z merisiec $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.confeditor.service;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author radua
 */

public class ExportXMLServlet extends HttpServlet {
    /**
     * Servlet class that "reflects" the content received via the parameter
     * and sends it back to the output stream. This servlet is used in order to
     * export the notification csv file.
     */


    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Name of the parameter.
     */
    private static final String XML_PARAMETER = "xmldata";

    @Override
    protected void doPost(final HttpServletRequest req, final HttpServletResponse res) throws ServletException, IOException{
          doGet(req, res);
    }

    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse res) throws ServletException, IOException{
            res.setHeader("Content-Type", "xml");
            if (req.getParameter(XML_PARAMETER) != null){
                res.getOutputStream().println("<?xml version='1.0' encoding='UTF-8' ?>");
                res.getOutputStream().println("<!DOCTYPE monitor PUBLIC");
                res.getOutputStream().println("        \"-//OW2//DTD JASMINe MBeanCmd 1.0//EN\"");
                res.getOutputStream().println("        \"http://www.ow2.org/jasmine/dtds/MBeanCmd_1_0.dtd\" >");
                res.getOutputStream().print(req.getParameter(XML_PARAMETER));
            }
            else {
                res.getOutputStream().print(" ");
            }
    }


}
